Bug 88607 - Cannot perform network install on Intel e1000
Cannot perform network install on Intel e1000
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: anaconda (Show other bugs)
2.1
i686 Linux
high Severity high
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-11 08:40 EDT by Nick Strugnell
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-29 16:51:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Strugnell 2003-04-11 08:40:38 EDT
Description of problem: 
 
When trying to do a network install on an HP XW8000 workstation, anaconda prompts as 
expected for the driver disk to load the e1000 driver. Anaconda then returns with 'Failed to load 
e1000', even though the F4 console shows that the module loaded - there is only a tain warning 
as the module is BSD rather than GPL-licenced. 
 
When installing from CDROM, and therefore not needing the network driver, the e1000 works 
fine after the reboot into the installed kernel. 
 
Version-Release number of selected component (if applicable): 
 
2.4.9-e.12 - the boot kernel supplied on the official media set 
 
How reproducible: 
 
always 
 
Steps to Reproduce: 
1. Start network install from netboot disk or by specifiying a network ks on the CDROM 
2. Insert driver disk when prompted 
3. Select e1000 driver 
     
Actual results: 
 
Driver could not be loaded message (even though I think the driver has loaded) 
Expected results: 
 
Driver loads, proceed with net install 
 
Additional info: 
 
I believe that the driver is actually loading as the monitoring console shows messages. In 
particular there is a kernel taint warning. I think that anaconda is misinterpreting the return 
value of insmod and thinks that the module has not loaded - insmod returns a kernel taint 
warning and this probably changes the return value.
Comment 1 Nick Strugnell 2003-04-11 08:41:27 EDT
Used hexeditor to change the licence from BSD to GPL - still won't load so that wasn't the 
problem 
Comment 2 Jeremy Katz 2003-04-11 12:19:33 EDT
When it loads, does it actually also show information about eth0?  
Comment 3 Michael Fulbright 2003-06-18 16:47:48 EDT
Closing due to inactivity - please reopen if you have additional information to add.
Comment 4 Nick Strugnell 2003-06-20 04:51:04 EDT
Does anyone have access to a machine with an e1000 card to test this? I no
longer do (this was on a client site) so I can't answer Jeremy's question.
Comment 5 Michael Fulbright 2003-06-27 16:35:11 EDT
We do not have one available here for testing - do you have e1000's Jay?
Comment 6 Jeremy Katz 2003-06-29 16:51:33 EDT
e1000 is very common and this is the only report I've seen of problems; guessing
it was just something weird with the hardware or the boot media.
Comment 7 Iradj Atchatchloui 2005-11-27 15:20:17 EST
(In reply to comment #4)
> Does anyone have access to a machine with an e1000 card to test this? I no
> longer do (this was on a client site) so I can't answer Jeremy's question.

I have had - still do - several NFS KS installations with e1000. Long ago, from 
the time I changed the boot media from diskett to CD, no problem of this kind 
I've experienced anymore.

Note You need to log in before you can comment on or make changes to this bug.